# Trait io_lifetimes::raw::AsRawFilelike

source · [−]

    pub trait AsRawFilelike: AsRawFd {
        fn as_raw_filelike(&self) -> RawFilelike;
    }

Expand description

A portable trait to obtain the raw value of an underlying filelike object.

This is a portability abstraction over Unix-like `AsRawFd` and Windows’ `AsRawHandle`.

## Required Methods

source

#### fn as_raw_filelike(&self) -> RawFilelike

Returns the raw value.

## Implementors

source

### impl<T: AsRawFd> AsRawFilelike for T